public class ExcelQueryExecuterFactory extends AbstractXlsQueryExecuterFactory
ExcelQueryExecuter
query executers.| Modifier and Type | Field and Description |
|---|---|
static java.lang.String |
XLS_FORMAT
Built-in parameter/property holding the value of the Excel format to be used when parsing the Excel data.
|
XLS_COLUMN_INDEXES, XLS_COLUMN_INDEXES_ARRAY, XLS_COLUMN_NAMES, XLS_COLUMN_NAMES_ARRAY, XLS_DATE_FORMAT, XLS_DATE_PATTERN, XLS_FILE, XLS_INPUT_STREAM, XLS_LOCALE, XLS_LOCALE_CODE, XLS_NUMBER_FORMAT, XLS_NUMBER_PATTERN, XLS_SHEET_SELECTION, XLS_SOURCE, XLS_TIMEZONE, XLS_TIMEZONE_ID, XLS_USE_FIRST_ROW_AS_HEADER, XLS_WORKBOOKQUERY_EXECUTER_FACTORY_PREFIX| Constructor and Description |
|---|
ExcelQueryExecuterFactory() |
| Modifier and Type | Method and Description |
|---|---|
JRQueryExecuter |
createQueryExecuter(JasperReportsContext jasperReportsContext,
JRDataset dataset,
java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
Creates a query executer.
|
java.lang.Object[] |
getBuiltinParameters()
Returns the built-in parameters associated with this query type.
|
boolean |
supportsQueryParameterType(java.lang.String className)
Decides whether the query executers created by this factory support a query parameter type.
|
createQueryExecuterpublic static final java.lang.String XLS_FORMAT
public java.lang.Object[] getBuiltinParameters()
QueryExecuterFactory{"Param1", String.class, "Param2", "List.class"}).public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters) throws JRException
QueryExecuterFactoryjasperReportsContext - the JasperReportsContextdataset - the dataset containing the query, fields, etcparameters - map of value parameters (instances of JRValueParameter)
indexed by nameJRExceptionpublic boolean supportsQueryParameterType(java.lang.String className)
QueryExecuterFactoryclassName - the value class name of the parameter© 2001-2010 Jaspersoft Corporation www.jaspersoft.com